﻿using System;
namespace MaxiBioInterfaceLibrary
{
    public interface IBiograf
    {
        string Biografnavn { get; set; }
        IBiografsal FindBiografsal(string søgeNavn);
        IForestilling[] FindForestillinger(int søgeDato);
        IForestilling[] FindForestillinger(int startDato, int slutDato);
        IBiografsal[] HentAlleBiografsale();
        IForestilling[] HentAlleForestillinger();
        IBiografsal OpretBiografsal(string navn, bool thx, int antalPladser);
        string ToString();
    }
}
