﻿using System;
namespace MaxiBioInterfaceLibrary
{
    public interface IBiografsal
    {
        int AntalPladser { get; set; }
        IForestilling FindForestilling(int søgeDato, int søgeTidspunkt);
        IForestilling[] FindForestillinger(int søgeDato);
        IForestilling[] FindForestillinger(int startDato, int slutDato);
        IForestilling[] HentAlleForestillinger();
        string Navn { get; set; }
        IForestilling OpretForestilling(int dato, int tidspunkt, IFilm enFilm);
        IForestilling OpretForestilling(int dato, int tidspunkt);
        bool Thx { get; set; }
        string ToString();
    }
}
