﻿using System;
namespace MaxiBioInterfaceLibrary
{
    public interface IMaxiBio
    {
        IBiograf FindBiograf(string søgeNavn);
        IFilm FindFilm(string søgeTitel);
        IForestilling[] FindForestillinger(int startDato, int slutDato);
        IForestilling[] FindForestillinger(int søgeDato);
        string Firmanavn { get; set; }
        IBiograf[] HentAlleBiografer();
        IFilm[] HentAlleFilm();
        IForestilling[] HentAlleForestillinger();
        IBiograf OpretBiograf(string biografnavn);
        IFilm OpretFilm(string titel, string genre, string skuespillere, string resume, int varighed, bool thx);
        string ToString();
    }
}
