using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Runtime.Serialization.Formatters.Binary;
using MaxiBioInterfaceLibrary;

namespace MaxiBioClassLibrary
{
    public class MaxiBioFasade
    {
        private static IMaxiBio maxiBioObjektet;

        public static IMaxiBio GetMaxiBioObjektet()
        {
            return MaxiBioFasade.maxiBioObjektet;
        }
        public static void OpretTomMaxiBio()
        {
            //if (!MaxiBioFasade.maxiBioObjektet == null) return;
            MaxiBioFasade.maxiBioObjektet = new MaxiBio();
        }
        
        public static void OpretMaxiBioMedTestData()
        {
            //if (!MaxiBioFasade.maxiBioObjektet == null) return;
            MaxiBioFasade.maxiBioObjektet = new MaxiBio();
            IMaxiBio mb = MaxiBioFasade.maxiBioObjektet;
            IFilm fi1 = mb.OpretFilm("Brug af ObjectTestBench", "E-Learning", "Bjrk Busch", "Intro til Visual Studio Object Test bench", 5, false);
            IFilm fi2 = mb.OpretFilm("Hytteturen", "Drama", "DM071&Dm072", "P udflugt med klassene", 500, true);
            IFilm fi3 = mb.OpretFilm("Mad med mennesker", "Komik", "Svend Sved","Tilberedning Svensker i fldesovs m.m.", 120, true);
            IBiograf bi1 = mb.OpretBiograf("Mega Bio");
            IBiograf bi2 = mb.OpretBiograf("Landsby Bio");
            IBiograf bi3 = mb.OpretBiograf("Fnix Bio");
            IBiografsal bs1 = bi1.OpretBiografsal("Kmpesalen",true,80);
            IBiografsal bs2 = bi1.OpretBiografsal("Monstersalen",true,120);
            IBiografsal bs3 = bi1.OpretBiografsal("Hyggekrogen",false,10);
            IBiografsal bs4 = bi2.OpretBiografsal("Sal 1",true,30);
            IBiografsal bs5 = bi2.OpretBiografsal("Sal 2",false,15);
            IBiografsal bs6 = bi3.OpretBiografsal("Biosalen",true,55);
            bs1.OpretForestilling(20071010, 830, fi1);
            bs1.OpretForestilling(20071010, 845, fi1);
            bs1.OpretForestilling(20071010, 900, fi1);
            bs1.OpretForestilling(20071010, 915, fi1);
            bs1.OpretForestilling(20071010, 1400, fi1);
            bs1.OpretForestilling(20071010, 1415, fi1);
            bs1.OpretForestilling(20071010, 1430, fi1);
            bs1.OpretForestilling(20071010, 1445, fi2);
            bs2.OpretForestilling(20071010, 1400, fi1);
            bs2.OpretForestilling(20071011, 1400, fi1);
            bs2.OpretForestilling(20071011, 1800, fi2);
            bs2.OpretForestilling(20071012, 1400, fi1);
            bs2.OpretForestilling(20071012, 1800, fi2);
            bs3.OpretForestilling(20071010, 1800, fi1);
            bs3.OpretForestilling(20071010, 1815, fi3);
            bs4.OpretForestilling(20071010, 1800, fi2);
            bs4.OpretForestilling(20071011, 1800, fi2);
            bs5.OpretForestilling(20071010, 1900, fi3);
            bs5.OpretForestilling(20071011, 1900, fi3);
            bs6.OpretForestilling(20071010, 1600, fi2);
            bs6.OpretForestilling(20071010, 1600, fi3);
        }


    }
}
